Bug 566258 - (CVE-2010-0628) CVE-2010-0628 krb5: Assertion failure in GSSAPI SPNEGO mechanism (MITKRB5-SA-2010-002)
CVE-2010-0628 krb5: Assertion failure in GSSAPI SPNEGO mechanism (MITKRB5-SA-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://web.mit.edu/Kerberos/advisorie...
impact=important,source=redhat,report...
: Security
Depends On: 576308 576324 576325
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 12:56 EST by Jan Lieskovsky
Modified: 2012-07-16 11:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-02-17 12:56:49 EST
A denial of service flaw was found in Kerberos's GSS-API spnego
security mechanism implementation. A remote attacker could use
this flaw to cause gss-server crash via invalid ContextFlags
for the reqFlags field in the NegTokenInit in spnego_mech.c,
which triggers an assertion failure. Similar vulnerability than
CVE-2009-0845.

PGP-signed patch from upstream will be available at:
  http://web.mit.edu/kerberos/advisories/2010-002-patch.txt.asc
Comment 2 Jan Lieskovsky 2010-02-17 13:18:49 EST
This issue does NOT affect the versions of the krb5-workstation
package, as shipped with Red Hat Enterprise Linux 3, 4, and 5.

This issue does NOT affect the version of the krb5-workstation-servers
package, as shipped with Fedora release of 11.

This issue affects the version of the krb5-workstation-servers package,
as shipped with Fedora release of 12.
Comment 11 Vincent Danen 2010-03-23 16:10:45 EDT
This issue is now public:

http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2010-002.txt
Comment 13 Fedora Update System 2010-03-25 08:57:40 EDT
krb5-1.7.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/krb5-1.7.1-6.fc12
Comment 14 Fedora Update System 2010-03-25 08:58:26 EDT
krb5-1.7.1-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krb5-1.7.1-7.fc13
Comment 15 Fedora Update System 2010-03-26 20:55:35 EDT
krb5-1.7.1-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-04-01 13:19:26 EDT
krb5-1.7.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.